Retrieve Resource Skills

Retrieves all ResourceSkills defined within your Workspace. A ResourceSkill is a capability possessed by a Resource that can be used to distinguish different classes of Resources suitable for use by a Task. You can specify that a Task requires a Resource with a particular set of ResourceSkills and then allocate Resources based on whether or not they have the suitable ResourceSkills.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Query parameters

$topintegerOptional
The number of records to return
$skipintegerOptional

Skips the given number of records and then returns $top records

$filterstringOptional
Filter the expression according to oData queries
$orderbystringOptional
Order collection by this field.
$expandstringOptional
Include related data in the response

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.